# tinqs/ci/setup-go

Installs Go from go.dev and adds it to PATH.

Downloads the official tarball — works on any Linux (Alpine, Debian, etc.). Skips installation if the correct version is already present in the runner image.

## Usage

```yaml
- uses: tinqs/ci/setup-go@v1
```

### Specific version

```yaml
- uses: tinqs/ci/setup-go@v1
  with:
    go-version: '1.26.2'
```

## Inputs

| Input | Default | Description |
|-------|---------|-------------|
| `go-version` | `1.26.2` | Go version to install |
